import os
from io import open
from setuptools import setup
from setuptools import find_packages

here = os.path.abspath(os.path.dirname(__file__))

with open(os.path.join(here, "README.md"), "r", encoding="utf-8") as fobj:
    long_description = fobj.read()

with open(os.path.join(here, "requirements.txt"), "r", encoding="utf-8") as fobj:
    requires = [x.strip() for x in fobj.readlines() if x.strip()]


setup(
    name="django-static-ace-builds",
    version="1.5.0.0",
    description="Django application contain ace-builds(Ajax.org Cloud9 Editor) static files.",
    long_description=long_description,
    long_description_content_type="text/markdown",
    author="Jiang Jie",
    author_email="jiangjie@zencore.cn",
    maintainer="Jiang Jie",
    maintainer_email="jiangjie@zencore.cn",
    license="MIT",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Libraries :: Python Modules",
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3 :: Only",
    ],
    keywords=["django-static-ace-builds"],
    packages=find_packages(".", exclude=["django_static_ace_builds_demo"]),
    install_requires=requires,
    zip_safe=False,
    include_package_data=True,
)
